OpenTTD

EnumPropsT< Tenum_t > Struct Template Reference

Informative template class exposing basic enumeration properties used by several other templates below. More...

`#include <enum_type.hpp>`

## Detailed Description

### template<typename Tenum_t>
struct EnumPropsT< Tenum_t >

Informative template class exposing basic enumeration properties used by several other templates below.

Here we have only forward declaration. For each enum type we will create specialization derived from MakeEnumPropsT<>. i.e.: template <> struct EnumPropsT<Track> : MakeEnumPropsT<Track, byte, TRACK_BEGIN, TRACK_END, INVALID_TRACK> {}; followed by: typedef TinyEnumT<Track> TrackByte;

Definition at line 52 of file enum_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/enum_type.hpp